<?php

namespace dynamicimages;
require_once WD . '/modules/dynamicimages/config/dynamicimages_enabled_c.php';
// Require helpers

use dynamicimages\config\dynamicimages_enabled_c;
use traits\module_config_t;

class dynamicimages_c
{
    use module_config_t;

    /**
     * The status of the dynamic images module
     * @var dynamicimages_enabled_c
     */
    public dynamicimages_enabled_c $enabled;

    public function __construct()
    {
        $this->setupConfig('dynamicimages');
        $this->allowUpdate([
            dynamicimages_enabled_c::class,
        ]);
        $this->enabled = new dynamicimages_enabled_c();
    }
}